<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<script type="text/javascript">
		// var a; declaracion de variable
		// var b;
		// var a,b; también se puede definir así "var" aunque va a estar en desuso
		let a,b; // opción más actual
		// las variables valen undefined en este punto
		a=5; // la variable en este punto vale 5, asignacion
	</script>
</head>
<body>
	<div> 
		<script type="text/javascript"> // tiene que estar dentro de un script para que interprete lo siguiente
			document.write(a);	
			b=a;
			console.log(b); 
		</script>
    </div>		
</body>
</html>